### Function

# ECal util_clamp_vtimezone

since: 3.40

#### Declaration [src]

    void
    e_cal_util_clamp_vtimezone (
      ICalComponent* vtimezone,
      const ICalTime* from,
      const ICalTime* to
    )

#### Description [src]

Modifies the `vtimezone` to include only subcomponents influencing the passed-in time interval between `from` and `to`.

Available since: 3.40

#### Parameters

`vtimezone`

  Type: `None`

  A VTIMEZONE component to modify.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`from`

  Type: `None`

  An `ICalTime` for the minimum time.

  The data is owned by the caller of the function.

`to`

  Type: `None`

  Until which time to clamp, or `NULL` for infinity.

  The argument can be `NULL`.
  The data is owned by the caller of the function.